Overview

SWFText

SWFText is an author tool of Flash text animation. It embraces 160+ text effects and 30+ background effects, and users may also customize all the properties of a Flash, including font, text color, and layout, etc. With SWFText, a user without any experience of Flash development can easily create a Flash banner or an introductory page within a few minutes. And all you need do is to input text, select font and animation effects. While a veteran Flash designer may use SWFText for text animation in a project, which sure greatly saves your time and effort.

© 2004-2005 AntsSoft Inc. All rights reserved.


Key Benefits

SWFText

Spend Less Time: With its user-friendly interface, SWFText is simple and easy to use for even a user without any experience of Flash development. SWFText enables you to create a Flash text animation with just a few clicks, saving your time on Flash development courses.

Spend Less Money: With SWFText, you'll be glad to find that there is no need to employ Flash designers for Flash text animation or to spend money on expensive Flash development tools and endless training courses.

Rich Effect Library: So far, SWFText embraces 160+ text effects and 30+ background effects. Each of these effects further includes a series of internal properties, and you may achieve different animation results by setting the properties. More wonderful effects will be added to the effect library in following upgraded versions.

Powerful and Flexible Customized Animation Properties: With SWFText, users can customize a final Flash movie by presetting all the properties, including movie size, movie playback speed, background color, background image, background animation effect, text, text animation effect, font, text color, text alpha transparency, text size, text's horizontal and vertical position, text spacing, and website linked to by the movie.


Key Features

SWFText

  • Extremely easy to use. Enter text and select effects and you can create a Flash movie in 5 minutes.
  • Even a user without any experience of Flash development can easily create various complicated Flash text animation effects.
  • Supports customized setting of the size and playback speed of a Flash movie.
  • Disables right-click context menu of a Flash movie.
  • Produces Flash movies in compressed format, saving your disk space and download bandwidth of your web site.
  • The background of a Flash movie can be transparent, or be filled up with solid color, gradient color, and image.
  • Better animation effect is achieved by flexible grouping of 160+ text effects and 30+ background effects.
  • More animation results are possible by customizing properties of the effects.
  • Independent of language. Supports both single-byte character sets and multi-byte character sets.
  • A Flash movie may contain more than one page, and each page may have more than one line of letters.
  • Has the ability to use all the fonts you have installed in your computer.
  • Supports comprehensive customization of text properties, including style, color, size, transparency, position, and spacing, etc.
  • Specific page may be opened automatically in web browser with left-click over the movie or upon the end of its playback. This option is useful in creating Flash banners and introductory pages.
  • Ability to add MP3 or WAV file to the Flash movie as background sound effect.
  • Current settings may be saved up for later use.
  • While creating a Flash movie, you may choose to generate the HTML code which can be used to include the movie in your web page at the same time.
  • Created Flash movie can be customized dynamically by loading parameters from "FlashVars" or external XML file.
  • Preview Window will be automatically refreshed upon any property change of the Flash movie you are working.


Revision History

SWFText

Version 1.2 - released on October 30, 2005

New: 10 background effects and 12 text effects have been added
New: Stop playing sound after specified loop times
New: "Letter Width" and "Letter Height" parameter can be specified
New: User may choose to whether protect the Flash movie from being imported or not
New: Close Flash player after loop has finished
New: Reactivate Flash player 6+ OCX if necessary
New: Created Flash movie has the ability to load parameters from "FlashVars" or external XML file
Fixed: Keep crashing while processing "SYSTEM" font
Fixed: Some MP3 files will be distorted while be included as sound effect
Fixed: The text using uninstalled font will be shown incorrectly

Version 1.1 - released on April 5, 2005

New: Ability to add MP3 or WAV file to the Flash movie as background sound effect
New: Support transparent background
New: Use radial gradient color for background
New: Tile mode can be applied for background image
New: Play letter animation in reverse order
New: Make the text on last page stay visible after loop has finished
Improved: Support both single-byte character sets and multi-byte character sets
Fixed: Some small adjustments on "template" effect

Version 1.0 - first public version, released on December 10, 2004


Getting Start with SWFText

SWFText

When SWFText is launched, you'll see its user interface as shown below: Part 1 refers to 9 Tabs, each functioning to set specific properties of a Flash movie. Part 2 is a row of command buttons. And Part 3 is Preview Window, used for movie preview.

SWFText is so easy to use. To create a satisfactory Flash movie, set effect properties and adjust them according to the movie preview. And then all you need do is to click "Publish" button to save the generated movie.

Now, let's show how to use SWFText step by step.

Step 1: Select "Text" Tab and put in your text in the list.

Step 2: Select "Text Effect" Tab and then choose a text effect in the list.

Step 3: Now you may preview the Flash movie in "Preview Window". If you are satisfied, click "Publish" button to save the Flash movie in your disk.

Above are basic steps to use SWFText. Following is a detailed introduction to specific functions.


"Movie" Tab

SWFText

"Movie" Tab is used to set properties for Flash movie itself. Its interface is shown below.

"Width": Used to set the width of a Flash movie. "Height": Used to set the height of a Flash movie. "Speed (FPS)": Used to set the frame rate of a Flash movie, that is, frames per second.

"Display border around flash movie": If it is checked, the final Flash movie will contain a black border. "Enable right-click context menu over flash movie": In default, right click over a Flash movie will call up a context menu, including zoom in, zoom out and print functions. Users may disable this option to hide the context menu. "Protect flash movie from being imported": If it is checked, the final Flash movie will refuse to be imported into Macromedia Flash. "Generate compressed SWF file": If it is checked, the final Flash movie will be in compressed format. Compared with an uncompressed one, the compressed Flash movie is of smaller size, saving disk space and download bandwidth and thus a greatly improved download speed.


"Background" Tab

SWFText

"Background" Tab is used to designate background color or image in a Flash movie. Its interface is shown below.

"Solid Color": If it is checked, The Flash movie will use a solid color to fill up its background. Users may select different background colors with a color picker.

"Gradient Color": If it is checked, the Flash movie will use a linear or radial gradient color to fill up its background. Users may select the starting color and ending color of the color gradient with a color picker, and set the linear gradient angle.

"Image": If it is checked, the Flash movie will use a user designated image file as its background. Users may click "Browse" button to designate image file. SWFText supports all popular image formats include BMP, GIF, JPEG, and PNG. Users may choose to tile the image throughout the background, or stretch the image to fill the background. Users may also specify the quality of image stored in Flash movie. We suggest leaving the default value of 80, which will preserve the original image quality without increasing the Flash movie size greatly.

"Transparent": If it is checked, the background of the Flash movie will be absolutely transparent.


"Background Effect" Tab

SWFText

"Background Effect" Tab is used to choose the background animation effect of a Flash movie. Its interface is shown below.

Users may designate a Flash movie to use a specific background animation effect in the library. First, check "Use Background Effect", and select a specific effect in the list. When an effect is selected, all its properties will appear in the "Property" list. Different effects have their corresponding properties, and users may adjust the background animation effect by changing specific values of a property. Different value in "Alpha Transparency" leads to different transparency degree of a background effect.


"Text" Tab

SWFText

"Text" Tab is used to input text content in a Flash movie. Its interface is shown below.

SWFText creates Flash movies with more than one page and each page contains more than one line of letters. When the Flash movie is played back, the pages are showed one by one in order, and all the letters on each page are showed in a preset order.

Each item in the "Text" list corresponds to the multiple lines of letters on a page. Click "Add" button to add a new page, click "Edit" button to make change to the words in the selected page, and click "Delete" button to delete the currently selected page. Users may put in more than one line of letters in "Input Text" dialog, and then click "OK" button to display the letters in the list. In addition, "Up" and "Down" buttons are used to adjust the display order of the pages. SWFText is independent of language and supports both single-byte character sets and multi-byte character sets.


"Text Effect" Tab

SWFText

"Text Effect" Tab is used to choose text animation effect of a Flash movie. Its interface is shown below.

Users may designate a Flash movie to use a specific text animation effect in the library. First, check "Use Text Effect", and select a specific effect in the list. When an effect is selected, all its properties will appear in the "Property" list. Different effects have their corresponding properties, and users may adjust the text animation effect by changing specific values of a property.

For lines of letters on a page, the default playback sequence is line by line from top to bottom. For letters in a line, the default playback sequence is letter by letter from left to right. The playback of a text effect is made up of three stages: "Enter", "Middle", and "Leave". During "Enter" stage the delay between two letters is designated by "Text.EnterDelay" property of a text effect, while during "Leave" stage the delay between letters is designated by "Text.LeaveDealy" property. Furthermore, "Letter Delay" option is used to set how long letters stay during "Middle" stage, and "Page Delay" option is used to set the delay between two pages. The unit used in all the above properties is frame.

In addition, if you check "Synchronously Line Display" option, lines on a page will be displayed synchronously at one time, instead of line by line. If you check "Reverse Letter Display" option, all the letters in a line will be placed in reverse order and played from right to left. This can be especially useful for languages that display right-to-left.


"Font" Tab

SWFText

"Font" Tab is used to set properties on fonts and text layout in a Flash movie. Its interface is shown below.

"Font Name": Used to select font used for text. Users may also set such text style as "Bold", "Italic", and "Underline". "Color": Used to set text color. "Alpha Transparency": Used to adjust text transparency degree.

"Text Size": Used to designate text size. "Text Rotation": Used to designate text rotation degree. "Horz Alignment" and "Horz Offset": Used to set the horizontal position of the text in a Flash movie. "Horz Alignment" refers to horizontal alignment, namely, "Left", "Center", and "Right". "Horz Offset" further defines the position offset based on the horizontal alignment of the text. Similarly, "Vert Alignment" and "Vert Offset" are used to set the vertical position of the text in a Flash movie. "Vert Alignment" includes "Top", "Middle", and "Bottom" and "Vert Offset" defines the offset. "Letter Width" and "Letter Height" are used to adjust the horizontal and vertical text scale ratio. While "Letter Space" is used to set the horizontal spacing between letters in same line, "Line Space" is used to set the vertical spacing between lines.


"Interaction" Tab

SWFText

"Interaction" Tab is used to set properties related to the interactions with users in a Flash Movie. Its interface is shown below.

"Stop movie animation after specified loop times": In default, text effect in a Flash movie will loop page by page. That is, upon the end of the last page, the first page begins to playback automatically again. Users may check this option and put in loop times in "Loop Time" field. If the option is not checked, the text effect in Flash movie will be played with infinitely loop. "Make the text on last page stay visible after loop has finished": This option will be useful if users want to get the text on last page to remain visible and still after the text animation effect finishes running. "Close flash player after loop has finished": If this option is enabled, the Flash player will be closed after the text animation effect finishes running.

"Open web page in browser if user clicks on the flash movie": If it is checked, left-click over a Flash movie opens a specified URL address in web browser. "Only when user clicks on the text": In default, any click over a Flash movie opens the web page. But when this option is checked, only clicks over text opens the web page. "URL": Used to input the URL address of the web page to open. "Target": Browser target is used to define in which browser a page is opened. Users may choose predefined or input browser target with this field. By default, the web page will be opened in the same browser of the Flash movie.

"Open web page in browser when flash movie finishes running": If it is checked, upon the text animation effect in a Flash movie finishes running, a designated URL address will be automatically opened in web browser. "URL": Used to input the URL address of the web page to open. "Target": Browser target is used to define in which browser a page is opened. Users may choose predefined or input browser target with this field. By default, the web page will be opened in the same browser of the Flash movie.


"Sound" Tab

SWFText

"Sound" Tab is used to add MP3 or WAV file to the Flash movie as background sound effect. Its interface is shown below.

"Play background music or sound in flash movie": If it is checked, a user designated sound file will be inserted into the Flash movie and played while animation is running. Users may click "Browse" button to designate sound file. SWFText supports common sound formats include MP3 and WAV. "Stop sound playing after specified loop times": In default, background sound effect in a Flash movie will be played with infinitely loop.
Users may check this option and put in loop times in "Loop Time" field to stop that.


Buttons

SWFText

There is a row of buttons at the bottom of main window. From left to right are:

: Read previously saved properties of a Flash movie from a designated user profile.

: Save the current properties of a Flash movie to a designated user profile.

: Open "Preview Window" and display a Flash movie created by using current properties in it for preview.

: Create a Flash movie and save it with a designated file name. Users may also choose to generate the HTML code which can be used to include the movie in your web page while creating the Flash movie.

: Open user's manual of SWFText.

: Exit SWFText.


"Preview Window" Tab

SWFText

The final Flash movie may be previewed in "Preview Window" before creation. Its interface is shown below.

Users may close "Preview Window" while SWFText is running. To open "Preview Window" again, just click "Preview" button in main window. Below are details about the function of toolbar buttons in the "Preview Window".

: Auto Preview. If it is checked, any change in current properties of the Flash movie will be refreshed in "Preview Window" automatically. If it is unchecked, users still need click "Preview" button in main window to update preview after making change in the properties.

: Auto Fit to Movie Size. If it is checked, "Preview Window" will automatically adjust its size to fit the actual size of Flash movie.


FAQ

SWFText

Q: There is an advertising banner on each Flash movie I made, how can I remove it?
A: The banner at the top of the Flash movie only generated with unregistered version of SWFText. It will not be added to Flash movie created by registered version. We offer unconditional 30-days money back to all purchases. If you dislike SWFText after purchase in 30 days, we will issue refund for your payment upon your request.


Registration

SWFText

The cost to register SWFText is USD $39.95 (quantity discounts are available) and all orders include a 30 day money back guarantee. After you register, you have access to all minor upgrades and high priority technical support.

You may order SWFText by credit card, Fax and telephone order. For a complete list of payment options and details, visit our website http://www.antssoft.com/order.htm, and click on the appropriate link to register.

If you have lost your registration code or find that your current code can't lock an upgrade version, please visit http://www.antssoft.com/contact.htm.


Unregistered Copy Limitation

SWFText

Before registration, SWFText is limited to 30 launches so you can evaluate it. After 30 launches, SWFText is no longer functional. During the evaluation period, your can experience most of the features of the full version, with the exception of the following limitations:
  • A banner will be displayed at the top of the Flash movie generated by unregistered version of SWFText.


License

SWFText

Installing and using this Software signifies acceptance of these terms and conditions of the license. If you do not agree with the terms of this license, you must remove this Software from your storage devices and cease to use this product.

The Software is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The Software is licensed, not sold and always remains the property of AntsSoft Inc..

DEFINITIONS

For the purpose of this Agreement, "Software" shall mean the software identified above, including but not limited to any updates, modifications, revisions, copies, and associated documentation provided by AntsSoft Inc..

GRANT OF LICENSE

Evaluation Terms and Conditions
You may use this Software solely for evaluation purposes without charge for evaluation period. You are free to distribute exact copies of the Software to anyone. You are prohibited from selling, or requesting donations, for any copies of the Software you distribute. You must include a copy of this license with any copy of the Software. You may not remove or alter any identification, proprietary notice, label, or trademarks which appear on or in the Software. Continued use of the Software after evaluation period requires purchase of a full license. For more information about payment methods, please see ORDER.TXT, included with the Software.

Single License Terms and Conditions
You may install and use one copy of the Software on a single computer, device, workstation, terminal, or other digital electronic or analog device ("Device"). You may make a second copy of the Software and install it on a portable Device for the exclusive use of the person who is the primary user of the first copy of the Software Product. At no time may the Software be used by other individuals than the licensed developers.

Site License Terms and Conditions
You may install the Software on every computer, device, workstation, terminal, or other digital electronic or analog device ("Device") in your company. The Software can be used by an unlimited number of users in your company.

All rights of any kind in the Software which are not expressly granted in this license are entirely and exclusively reserved to and by AntsSoft Inc..

RESTRICTIONS

THE SOFTWARE CANNOT BE MODIFIED. YOU MAY NOT DECOMPILE, DISASSEMBLE OR OTHERWISE ATTEMPT TO ACCESS THE SOURCE CODE OF THE SOFTWARE; EXCEPT AND ONLY TO THE EXTENT PERMITTED APPLICABLE LAW NOTWITHSTANDING THIS LIMITATION.

The information contained in the Software is confidential and proprietary to AntsSoft Inc., and AntsSoft Inc. retain title to all copyright, patent, trademark, trade secrets, and other proprietary rights embodied in or related to the Software.

TERMINATION

Failure to comply with any provision provided in this Agreement or the use of the Software in a way not authorized or permitted under this Agreement will result in an automatic termination of this license.

AntsSoft Inc. may, at its sole discretion, terminate this Agreement, the license granted herein, and your right to use or access the Software at any time.

On termination, you must destroy all copies of the Software.

UPGRADES, MAINTENANCE AND SUPPORT

During the term of this Agreement, AntsSoft Inc. is under no obligation to provide upgrades, maintenance, or installation for the Software. AntsSoft Inc. may provide support for the Software as governed by the documentation, and other AntsSoft Inc. materials related to and included with the Software. AntsSoft Inc. reserves the right to revoke or modify support provided for the Software at any time, for any or no reason.

DISCLAIMER OF WARRANTY

THE SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY WARRANTY OF QUALITY, MERCHANTABILITY, OR FITNESS FOR A PARTICULAR PURPOSE. AntsSoft Inc. DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS, OR THAT IT WILL OPERATE UNINTERRUPTED OR ERROR-FREE.

NOTHING IN THIS AGREEMENT SHALL BE CONSTRUED AS A WARRANTY OR A REPRESENTATION BY AntsSoft Inc. THAT THE SOFTWARE WILL BE FREE FROM INFRINGEMENT OF THE INTELLECTUAL PROPERTY RIGHTS OF A THIRD PARTY. AntsSoft Inc. HEREBY EXPRESSLY DISCLAIMS AND SHALL NOT BE RESPONSIBLE FOR ANY LIABILITY ARISING AS A RESULT OF OR IN CONNECTION WITH ANY CLAIM OR SUIT ALLEGING THAT THE DISTRIBUTION OR USE OF THE SOFTWARE INFRINGES THE RIGHT OF ANY THIRD PARTY.

IN NO EVENT WILL AntsSoft Inc. BE LIABLE FOR LOSS OF DATA, COSTS OF PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES OR ANY SPECIAL, CONSEQUENTIAL OR INCIDENTAL DAMAGES, UNDER ANY CAUSE OF ACTION AND REGARDLESS OF WHETHER OR NOT AntsSoft Inc. HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. THIS LIMITATION WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY PROVIDED HEREIN. IN ANY EVENT, AntsSoft Inc.'S LIABILITY ARISING OUT OF THIS AGREEMENT, THE TERMINATION THEREOF, AND/OR THE PROVISION OF GOODS OR SERVICES HEREUNDER WILL BE LIMITED TO THE GREATER OF U.S. $1.00 OR THE AMOUNT PAID BY YOU FOR THE LICENSED SOFTWARE.


Online Support

SWFText

If you would like to download the latest version of SWFText, read product information or register this program, please visit our website at http://www.antssoft.com/.

Our technical support staff will provide timely service with any problems you encounter with our software. When seeking technical support, please provide the following information with your requests:
  • The installed version of SWFText
  • The installed operating system and version
  • Full details of the problem you encounter, And if possible include steps on how to reproduce the problem
  • If you are a registered user, include your registration code and our technical support staff will give your request priority.
To get more help from our technical support staff, you can contact us through e-mail: support@antssoft.com. We would also appreciate any comments or suggestions you may have about our software.